CFISCSI(4)

NAME
cfiscsi - CAM Target Layer iSCSI target frontend

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device cfiscsi
device ctl
device iscsi

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    cfiscsi_load="YES"

DESCRIPTION
The cfiscsi subsystem provides the kernel component of an iSCSI target. The target is the iSCSI server, providing LUNs backed by local files and volumes to remote initiators. The userspace component is provided by ctld(8). cfiscsi is implemented as a ctl(4) frontend and uses infrastructure provided by iscsi(4).

SYSCTL VARIABLES
The following variables are available as both sysctl(8) variables and loader(8) tunables:

kern.cam.ctl.iscsi.debug
    Verbosity level for log messages from the kernel part of iSCSI target. Set to 0 to disable logging or 1 to warn about potential problems. Larger values enable debugging output. Defaults to 1.

kern.cam.ctl.iscsi.maxtags
    The number of outstanding commands to advertise to each iSCSI initiator. Current implementation is not very accurate, so do not set this below 2. Defaults to 256.

kern.cam.ctl.iscsi.ping_timeout
    The number of seconds to wait for the iSCSI initiator to respond to a NOP-In PDU. In the event that there is no response within that time the session gets forcibly terminated. Set to 0 to disable sending NOP-In PDUs. Defaults to 5.

SEE ALSO
ctl(4), iscsi(4), ctl.conf(5), ctld(8)

HISTORY
The cfiscsi subsystem first appeared in FreeBSD 10.0 as part of the ctl(4) driver. It was split off of ctl(4) in FreeBSD 12.0.

AUTHORS
-nosplit The cfiscsi subsystem was developed by Edward Tomasz Napierala <trasz@FreeBSD.org> under sponsorship from the FreeBSD Foundation. This manual page was written by Enji Cooper <ngie@FreeBSD.org>.